Create Integration
curl --request POST \
--url https://api.example.com/api/integrations \
--header 'Content-Type: application/json' \
--data '
{
"providerCode": "<string>",
"name": "<string>",
"agentId": "<string>",
"credentials": {},
"config": {}
}
'import requests
url = "https://api.example.com/api/integrations"
payload = {
"providerCode": "<string>",
"name": "<string>",
"agentId": "<string>",
"credentials": {},
"config": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
providerCode: '<string>',
name: '<string>',
agentId: '<string>',
credentials: {},
config: {}
})
};
fetch('https://api.example.com/api/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"message": "<string>"
}Integrations
Create Integration
POST
/
api
/
integrations
Create Integration
Description
Create a new integration.Authentication
Required (API key or JWT token)Request Body
string
required
Integration provider code (e.g., “notion”, “slack”)
string
required
Integration name
string
Optional agent ID to link integration
object
required
Integration credentials (OAuth tokens, API keys, etc.)
object
Integration configuration
Response
string
Created integration ID
string
Success message
Was this page helpful?
⌘I